public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rinda/
@ 2024-12-29  5:55 Hans de Graaff
  0 siblings, 0 replies; 3+ messages in thread
From: Hans de Graaff @ 2024-12-29  5:55 UTC (permalink / raw
  To: gentoo-commits

commit:     152d6ec81dc8cd78e6c7d2565562202484bb9c15
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 29 05:32:35 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 05:32:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=152d6ec8

dev-ruby/rinda: new package, add 0.2.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rinda/Manifest           |  1 +
 dev-ruby/rinda/metadata.xml       | 12 ++++++++++++
 dev-ruby/rinda/rinda-0.2.0.ebuild | 40 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/dev-ruby/rinda/Manifest b/dev-ruby/rinda/Manifest
new file mode 100644
index 000000000000..d96bbe23d835
--- /dev/null
+++ b/dev-ruby/rinda/Manifest
@@ -0,0 +1 @@
+DIST rinda-0.2.0.tar.gz 20286 BLAKE2B df95f9edebad3bbc52331f2ef5fac0791c7f8f857329d9f9d016c4a3fc2a49c0557c53c4f8e9e07de2ee272e3920e4c2d9b71d0be21e6d8126325f57a59e887a SHA512 f1fe85c3a0aa147be335ffd414f0c3e9b6ec33b789e789f0a5e33977c06752a117f4bf92236124775062fd7f7cf6465c5e696e423ef9886733b6c318914d1f49

diff --git a/dev-ruby/rinda/metadata.xml b/dev-ruby/rinda/metadata.xml
new file mode 100644
index 000000000000..a86e70f55988
--- /dev/null
+++ b/dev-ruby/rinda/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>ruby@gentoo.org</email>
+    <name>Gentoo Ruby Project</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">ruby/rinda</remote-id>
+    <remote-id type="rubygems">rinda</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-ruby/rinda/rinda-0.2.0.ebuild b/dev-ruby/rinda/rinda-0.2.0.ebuild
new file mode 100644
index 000000000000..fdbea15e752b
--- /dev/null
+++ b/dev-ruby/rinda/rinda-0.2.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="rinda.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The Linda distributed computing paradigm in Ruby"
+HOMEPAGE="https://github.com/ruby/rinda"
+SRC_URI="https://github.com/ruby/rinda/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+IUSE="test"
+
+ruby_add_rdepend "
+	dev-ruby/drb
+	dev-ruby/forwardable
+	dev-ruby/ipaddr
+"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+	sed -e 's/__dir__/"."/' \
+		-e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+		-e 's/git ls-files -z/find * -print0/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:.:test:test/lib -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rinda/
@ 2024-12-29  9:06 Hans de Graaff
  0 siblings, 0 replies; 3+ messages in thread
From: Hans de Graaff @ 2024-12-29  9:06 UTC (permalink / raw
  To: gentoo-commits

commit:     40d8f2609158dc9e80ae57abe9d9801b69f7ec6e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 29 07:50:11 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 09:04:50 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40d8f260

dev-ruby/rinda: enable ruby34

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rinda/rinda-0.2.0.ebuild | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/rinda/rinda-0.2.0.ebuild b/dev-ruby/rinda/rinda-0.2.0.ebuild
index fdbea15e752b..dcbebd6d6ddd 100644
--- a/dev-ruby/rinda/rinda-0.2.0.ebuild
+++ b/dev-ruby/rinda/rinda-0.2.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
 
 RUBY_FAKEGEM_BINWRAP=""
 RUBY_FAKEGEM_EXTRADOC="README.md"
@@ -33,6 +33,11 @@ all_ruby_prepare() {
 		-e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
 		-e 's/git ls-files -z/find * -print0/' \
 		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	# Ensure the new code in lib is tested also when calling out to
+	# another ruby instance.
+	sed -e '/rubybin/ s:-rdrb/drb:-Ilib -rdrb/drb:' \
+		-i test/rinda/test_rinda.rb || die
 }
 
 each_ruby_test() {


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rinda/
@ 2025-02-21  8:28 Hans de Graaff
  0 siblings, 0 replies; 3+ messages in thread
From: Hans de Graaff @ 2025-02-21  8:28 UTC (permalink / raw
  To: gentoo-commits

commit:     f46c7be7ff4e22e7340474ded3ec0a5808bbbea9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 21 08:26:15 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Feb 21 08:28:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f46c7be7

dev-ruby/rinda: avoid tests that require network access

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rinda/rinda-0.2.0.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/rinda/rinda-0.2.0.ebuild b/dev-ruby/rinda/rinda-0.2.0.ebuild
index dcbebd6d6ddd..1e31bc409b6a 100644
--- a/dev-ruby/rinda/rinda-0.2.0.ebuild
+++ b/dev-ruby/rinda/rinda-0.2.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -38,6 +38,10 @@ all_ruby_prepare() {
 	# another ruby instance.
 	sed -e '/rubybin/ s:-rdrb/drb:-Ilib -rdrb/drb:' \
 		-i test/rinda/test_rinda.rb || die
+
+	# Avoid tests requiring network device access
+	sed -e '/test_\(make_socket\|ring_server\)_ipv6_multicast/aomit "Requires network access"' \
+		-i test/rinda/test_rinda.rb || die
 }
 
 each_ruby_test() {


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2025-02-21  8:28 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-12-29  5:55 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rinda/ Hans de Graaff
  -- strict thread matches above, loose matches on Subject: below --
2024-12-29  9:06 Hans de Graaff
2025-02-21  8:28 Hans de Graaff

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox